
Ruby - Bug #7147

IMAP: emails with message/rfc822 attachments fail to parse

10/12/2012 11:31 AM - tonyarkles (Tony Arkles)

Status: Closed   

Priority: Normal   

Assignee: shugo (Shugo Maeda)   

Target version:    

ruby -v: ruby 1.9.3p194 Backport:  

Description

Doing im.fetch("1:*", "FULL") on my inbox resulted in a few email messages with attached emssage/rfc822 emails (these were

forwarded by someone else). These messages failed to parse. I've fixed this in https://github.com/ruby/ruby/pull/193 and 

https://github.com/ruby/ruby/pull/194.

Associated revisions

Revision bd6bb6c0b26168833ff9027611a3febc6eeca91b - 10/17/2012 06:18 AM - shugo (Shugo Maeda)

lib/net/imap.rb: fix Net::IMAP::ResponseParser to accept

message/delivery-status ([ruby-core:47920] [Bug #7146]),

message/rfc822 attachments ([ruby-core:47921] [Bug #7147]), and

(BODY ("MIXED")) ([ruby-core:47951] [Bug #7153]).

test/net/imap/test_imap_response_parser.rb: related test.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37240 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision bd6bb6c0 - 10/17/2012 06:18 AM - shugo (Shugo Maeda)

lib/net/imap.rb: fix Net::IMAP::ResponseParser to accept

message/delivery-status ([ruby-core:47920] [Bug #7146]),

message/rfc822 attachments ([ruby-core:47921] [Bug #7147]), and

(BODY ("MIXED")) ([ruby-core:47951] [Bug #7153]).

test/net/imap/test_imap_response_parser.rb: related test.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37240 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 10/12/2012 11:38 AM - shugo (Shugo Maeda)

- Status changed from Open to Assigned

- Assignee changed from tonyarkles (Tony Arkles) to shugo (Shugo Maeda)

#2 - 10/13/2012 01:24 PM - tonyarkles (Tony Arkles)

I broke the one pull request. Fixed at https://github.com/ruby/ruby/pull/196

#3 - 10/17/2012 03:18 PM - shugo (Shugo Maeda)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r37240.

Tony, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.
message/delivery-status ([ruby-core:47920] [Bug #7146]),
